//#define WIN32_LEAN_AND_MEAN
#ifndef OPLMUSPLAYERH
#define OPLMUSPLAYERH
#include "muslib.h"
#include <e32base.h>
class OPLmusicBlock : protected musicBlock
{
public:
	OPLmusicBlock (unsigned char* aScoreData, int len, int rate, int maxSamples);
	~OPLmusicBlock ();
	bool IsValid () const;

	bool ServiceStream (void *buff, int numbytes);
	void Restart ();
	void SetLooping (bool loop);
	void ResetChips ();
	RSemaphore iChipAccess;	

protected:
	int SampleRate;
	int NextTickIn;
	int SamplesPerTick;
	bool TwoChips;
	bool Looping;

	signed short int *SampleBuff;

};

#endif //OPLMUSPLAYERH

